/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Enhance highlight. Set highlight to row with highlight style-background color
 * but highlight only works to items inside row instead of whole row.
 * 
 * <p>
 * <b>Test description:</b>
 * <p>
 * This test makes sure that highlight style is applied to whole row instead of
 * cascading to inner items.
 * 
 */
public class Regression_102511 extends EngineCase
{

	private final static String INPUT = "regression_102511.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_102511.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_102511.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void test_Regression_102511( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );

		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}
}
