
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Input blank report parameter value as Data set parameter's expression will
 * cause error message when preview.
 * 
 * <p>
 * <b>Test description:</b>
 * <p>
 * This test makes sure that data set paramter will accept blank report
 * parameter values and return no rows if table contains no blank or null value.
 * 
 */
public class Regression_113139 extends EngineCase
{

	private final static String INPUT = "regression_113139.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_113139.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_113139.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */
	public void test_Regression_113139( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );

		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}

}
