/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Access to localized messages in scripting
 * <p>
 * <b>Test description</b>
 * <p>
 * Bind a data item to reportContext.getMessage( "key1" ), check that the
 * localized value can be retrieved.
 */

public class Regression_114072 extends EngineCase
{

	private final static String INPUT = "regression_114072.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_114072.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_114072.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */
	public void test_Regression_114072( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}
}
