
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Preview in Layout and preview in web viewer are different
 * <p>
 * <b>Test description</b>
 * <p>
 * This test makes sure that preview and preview in web viewer are the same.
 * 
 */
public class Regression_119534 extends EngineCase
{

	private final static String INPUT = "regression_119534.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_119534.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_119534.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void test_Regression_119534( ) throws Exception
	{
		this.runAndThenRender( INPUT, OUTPUT, "all", "html" );
		this.copyFile( this.getClassFolder( ) + "/" + OUTPUT_FOLDER + "/"
				+ "regression_119534.html", this.getClassFolder( ) + "/"
				+ GOLDEN_FOLDER + "/" + "regression_119534.html" );
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}

}
