/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Background image set as inline style in text item doesn't work in html
 * 
 * <p>
 * <b>Test description:</b>
 * <p>
 * This test makes sure that inline background image style in text item can be
 * processed correctly in html.
 * 
 */
public class Regression_119818 extends EngineCase
{

	private final static String INPUT = "regression_119818.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_119818.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_119818.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void test_Regression_119818( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );

		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}
}
