
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Styles property defined in a report item in library can't be displayed in a
 * report.
 * <p>
 * <b>Test description</b>
 * <p>
 * This test makes sure that a label style can be displayed properly in HTML.
 * 
 */
public class Regression_120060 extends EngineCase
{

	private final static String INPUT = "regression_120060.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_120060.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_120060.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void test_Regression_120060( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}

}
