
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * EvaluatorException throws when set text style in onCreate method.
 * <p>
 * <b>Test description</b>
 * <p>
 * This test makes sure that text styles in onCreate method can display
 * correctly.
 * 
 * 
 */

public class Regression_120323 extends EngineCase
{

	private final static String INPUT = "regression_120323.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_120323.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_120323.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void test_Regression_120323( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}

}
