
package org.eclipse.birt.report.tests.engine.regression;

import java.util.ArrayList;

import org.eclipse.birt.report.engine.api.EngineException;
import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Bad event handler class name does not cause an error.
 * <p>
 * <b>Test description:</b>
 * <p>
 * This test makes sure that an error will throw for invalid event handler
 * class.
 */

public class Regression_121111 extends EngineCase
{

	private final static String INPUT = "regression_121111.rptdesign";
	private final static String OUTPUT = "regression_121111.html";

	public void test_Regression_121111( ) throws Exception
	{
		ArrayList errors = runAndRender_HTML( INPUT, OUTPUT );
		assertEquals( 1, errors.size( ) );
		assertTrue( errors.get( 0 ) instanceof EngineException );
	}
}