
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * A style which applied to a label doesn't take effect when drag from a Lib to
 * a report.
 * <p>
 * <b>Test description</b>
 * <p>
 * Create a library and add a label which is applied a style,this test makes
 * sure that the style can be displayed well when drag from the library to a
 * report.
 * 
 * 
 */

public class Regression_121694 extends EngineCase
{

	private final static String INPUT = "regression_121694.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_121694.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_121694.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void test_Regression_121694( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}

}