
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Columns do not line up accross page breaks
 * <p>
 * <b>Test description</b>
 * <p>
 * This test makes sure that columns line up across page breaks in table with
 * groups.
 * 
 */
public class Regression_124527 extends EngineCase
{

	private final static String INPUT = "regression_124527.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_124527.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_124527.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void test_Regression_124527( ) throws Exception
	{
		runAndRender_HTMLWithPagination( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}

}
