
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Underline/overline/strikethrough are cascading in list but not in table.
 * <p>
 * <b>Test description</b>
 * <p>
 * This test makes sure that Underline/overline/strikethrough effects are
 * inheritable.
 * 
 * 
 */

public class Regression_128358 extends EngineCase
{

	private final static String INPUT = "regression_128358.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_128358.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_1283584.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void test_Regression_128358( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}

}