/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Group page break doesn't break between last group and table footer.
 * 
 * <p>
 * <b>Test description:</b>
 * <p>
 * This test makes sure that set group pageBreakAfter to always will cause a
 * break after the last group, so table footer will be in a new page.
 * 
 */
public class Regression_134032 extends EngineCase
{

	private final static String INPUT = "regression_134032.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_134032.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_134032.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void test_Regression_134032( ) throws Exception
	{
		runAndRender_HTMLWithPagination( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}
}
