
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Column takes precedence over row in html time.
 * <p>
 * <b>Test description</b>
 * <p>
 * This test makes sure that row takes precedence over column both in design and
 * html time
 * 
 */
public class Regression_134438 extends EngineCase
{

	private final static String INPUT = "regression_134438.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_134438.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_134438.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void test_Regression_134438( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}

}
