
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Set page break for table inside list group header will cause data display
 * error
 * <p>
 * <b>Test description</b>
 * <p>
 * This test makes sure that preview displays properly when set page break to
 * table inside group header.
 * 
 */
public class Regression_134488 extends EngineCase
{

	private final static String INPUT = "regression_134488.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_134488.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_134488.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void test_Regression_134488( ) throws Exception
	{

		this.runAndThenRender( INPUT, OUTPUT, "all", "html" );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}

}
