
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Page footer displays in wrong place and coverlap with report content when
 * preview in Web Viewer
 * <p>
 * <b>Test description</b>
 * <p>
 * this test makes sure that page footer displays in the right place when
 * preview in web viewer.
 * 
 * 
 */
public class Regression_134944 extends EngineCase
{

	private final static String INPUT = "regression_134944.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_134944.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_134944.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void test_Regression_134944( ) throws Exception
	{
		this.runAndThenRender( INPUT, OUTPUT, "all", "html" );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}
}
