
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Set different Master Page to grid inside table group header will cause
 * incorrect page break behavior.
 * 
 * <p>
 * <b>Test description:</b>
 * <p>
 * This test makes sure that page break behavior is correct in bug description
 * condition.
 * 
 */
public class Regression_135198 extends EngineCase
{

	private final static String INPUT = "regression_135198.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_135198.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_135198.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void test_Regression_135198( ) throws Exception
	{
		runAndRender_HTMLWithPagination( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}
}
