
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Return wrong data when using runTask and renderTask to generate a report
 * contains subquery.
 * <p>
 * <b>Test description</b>
 * <p>
 * This test makes sure that report with subquery structure returns correct
 * data.
 * 
 */
public class Regression_135858 extends EngineCase
{

	private final static String INPUT = "regression_135858.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_135858.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_135858.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void test_Regression_135858( ) throws Exception
	{
		this.runAndThenRender( INPUT, OUTPUT, "All", "html" );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}

}
