
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Style set in onCreate method doesn't work when using runTask and renderTask
 * to generate report
 * <p>
 * <b>Test description</b> This test uses runTask and renderTask to generate a
 * report. This report contains a label with style setting in onCreate method.
 * <p>
 */
public class Regression_135859 extends EngineCase
{

	private final static String INPUT = "regression_135859.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_135859.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_135859.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void test_Regression_135859( ) throws Exception
	{
		runAndThenRender( INPUT, OUTPUT, "All", "html" );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}
}
