
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * the strick-through function don't work in dynamic text in html viewer
 * <p>
 * <b>Test description</b>
 * <p>
 * This test makes sure that strick-through works properly in dynamic text in
 * html.
 * 
 */
public class Regression_136051 extends EngineCase
{

	private final static String INPUT = "regression_136051.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_136051.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_136051.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void test_Regression_136051( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}

}
