
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Dataset Parameter binding can not take effect.
 * <p>
 * <b>Test description</b>
 * <p>
 * This test makes sure that report will return data filtered by value set in
 * Dataset Parameter binding.
 * 
 */
public class Regression_136278 extends EngineCase
{

	private final static String INPUT = "regression_136278.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_136278.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_136278.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void test_Regression_136278( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}

}
