
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * the highlight does't work when you set highlight on the table with the Top
 * N/Bottom N operator
 * <p>
 * <b>Test description</b>
 * <p>
 * This test makes sure that highlight on the table with the Top N/Bottom N
 * operator works properly on the table.
 * 
 */
public class Regression_136528 extends EngineCase
{

	private final static String INPUT = "regression_136528.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_136528.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_136528.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void test_Regression_136528( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}

}
