
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Error will be thrown out when previewing a report with a chart and a data
 * <p>
 * <b>Test description</b>
 * <p>
 * This test makes sure that a report with a chart and a data can be previewed
 * properly.
 * 
 */
public class Regression_137912 extends EngineCase
{

	private final static String INPUT = "regression_137912.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_137912.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_137912.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void test_Regression_137912( ) throws Exception
	{
		this.runAndThenRender( INPUT, OUTPUT, "all", "html" );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}

}
