
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * This.getValue() of data item doesn't work in onCreate method.
 * <p>
 * <b>Test description</b>
 * <p>
 * This test checks that this.getValue returns expected value in onCreate method
 * and the value affects font color of data item.
 * 
 */
public class Regression_138732 extends EngineCase
{

	private final static String INPUT = "regression_138732.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_138732.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_138732.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void test_Regression_138732( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}

}
