
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Report with several charts will only show the first one in Web Viewer.
 * <p>
 * <b>Test description</b>
 * <p>
 * This test checks that report with two charts will render two charts out
 * through runTask and renderTask.
 * 
 */
public class Regression_138833 extends EngineCase
{

	private final static String INPUT = "regression_138833.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_138833.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_138833.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void test_Regression_138833( ) throws Exception
	{
		runAndThenRender( INPUT, OUTPUT, "All", "html" );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}

}
