
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * row._outer[] doesn't work correct in WebViewer
 * <p>
 * <b>Test description</b>
 * <p>
 * This test makes sure that row._outer used in nest structure returns correct
 * data in Web Viewer.
 * 
 * 
 */
public class Regression_139412 extends EngineCase
{

	private final static String INPUT = "regression_139412.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_139412.html";
	private final static String OUTPUT = "regression_139412.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */
	public void test_Regression_139412( ) throws Exception
	{
		runAndThenRender( INPUT, OUTPUT, "All", "html" );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}
}
