
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Text item cannot display &lt;value-of&gt;new Date()&lt;/value-of&gt;.
 * 
 * <p>
 * <b>Test description:</b>
 * <p>
 * This test makes sure that text item can display new date() value.
 * 
 */
public class Regression_141943 extends EngineCase
{

	private final static String INPUT = "regression_141943.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_141943.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_141943.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */
	public void test_Regression_141943( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}

}
