/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.report.tests.engine.regression;

import utility.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * The result of inline style preview is not correct
 * <p>
 * <b>Test description</b>
 * <p>
 * This fuction covered data item displayed as "inline" style
 * 
 */
public class Regression_74167 extends EngineCase
{

	private final static String INPUT = "Regression_74167.xml"; //$NON-NLS-1$
	private final static String GOLDEN = "Regression_74167.html"; //$NON-NLS-1$
	private final static String OUTPUT = "Regression_74167.html"; //$NON-NLS-1$

	protected void setUp( ) throws Exception
	{
		super.setUp( );
	}

	/**
	 * @throws Exception
	 */

	public void test_Regression_74167( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}
}
