
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Table header displayed more than once when set RepeatHeader property false
 * <p>
 * <b>Test description</b>
 * <p>
 * This test makes sure that table header displays once when we set RepeatHeader
 * property false.
 * 
 * 
 */
public class Regression_74685 extends EngineCase
{

	private final static String INPUT = "regression_74685.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_74685.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_74685.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void test_Regression_74685( ) throws Exception
	{

		runAndRender_HTMLWithPagination( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}

}
