/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Test description</b>
 * <p>
 * Ensure that images name that contains GBK character and whilte
 * space(̡ɫ.jpg) can be correctly rendered.
 * 
 * 
 */

public class Regression_74804 extends EngineCase
{

	private final static String INPUT = "regression_74804.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_74804.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_74804.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */
	public void test_Regression_74804( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}
}
