/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Test description</b>
 * <p>
 * In table footer, add a DataItem:
 * <li>onCreate():params["amount"]=Total.sum(row["AMOUNT"]);
 * <li>valueExpr="AMOUNT:" + params["amount"]
 * <p>
 * Ensure that the value is calculated correctly.
 * 
 * @author Rock Yu
 */
public class Regression_75739 extends EngineCase
{

	private final static String INPUT = "regression_75739.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_75739.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_75739.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void test_Regression_75739( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}
}
