/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * hyperlink not correct.
 * 
 * <p>
 * <b>Test description</b>
 * <p>
 * Test URL target as "Blank", "Parent", "Self", "Top"
 * 
 */
public class Regression_75915 extends EngineCase
{

	private final static String INPUT = "regression_75915.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_75915.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_75915.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void test_Regression_75915( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}
}
