
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Set chart html output file invisible will cause whole report invisible
 * <p>
 * <b>Test description</b>
 * <p>
 * Make a Label and Chart invisible in HTML ouput, verify that other report
 * contents are correctly rendered.
 * 
 */

public class Regression_77743 extends EngineCase
{

	private final static String INPUT = "regression_77743.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_77743.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_77743.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void test_Regression_77743( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}

}
