/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Write "Math.SQRT_2" in data item and undefined is displayed when preview
 * <p>
 * <b>Test description</b>
 * <p>
 * Preview a data item, that bind an expression as "Math.SQRT2" of decimal type,
 * it can be previewed.
 */

public class Regression_78994 extends EngineCase
{

	private final static String INPUT = "regression_78994.rptdesign"; //$NON-NLS-1$
	private final static String GOLDEN = "regression_78994.html"; //$NON-NLS-1$
	private final static String OUTPUT = "regression_78994.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */
	public void test_Regression_78994( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}
}
