/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.report.tests.model.regression;

import org.eclipse.birt.report.model.api.metadata.IElementDefn;
import org.eclipse.birt.report.model.api.metadata.IMetaDataDictionary;
import org.eclipse.birt.report.model.metadata.MetaDataDictionary;
import org.eclipse.birt.report.tests.model.BaseTestCase;

/**
 * Regression description:
 * </p>
 * Remove properties "pageBreakBefore","pageBreakAfter","pageBreakInside" on
 * column, they means nothing for column.
 * </p>
 * Test description:
 * <p>
 * Ensure that these several properties are removed from column
 * </p>
 */
public class Regression_133782 extends BaseTestCase
{

	/**
	 * 
	 */
	
	public void test_133782( )
	{
		IMetaDataDictionary dict = MetaDataDictionary.getInstance( );
		IElementDefn defn = dict.getElement( "Column" ); //$NON-NLS-1$
		assertNull( defn.getProperty( "pageBreakBefore" ) );//$NON-NLS-1$
		assertNull( defn.getProperty( "pageBreakAfter" ) );//$NON-NLS-1$
		assertNull( defn.getProperty( "pageBreakInside" ) );//$NON-NLS-1$
	}
}
