/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html Contributors: Actuate Corporation -
 * initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.report.tests.viewer.regression;

import java.lang.reflect.Method;
import java.lang.reflect.Modifier;

import junit.framework.TestCase;

import org.eclipse.birt.report.service.BirtViewerReportService;

/**
 * <b>Description:</b>
 * <p>
 * runAndRenderReport() method should not be synchronized.
 * <p>
 * <b>Test Description:</b>
 * <p>
 * Make sure that BirtViewerReportService.runAndRenderReport are not
 * synchronized.
 */
public class Regression_142374 extends TestCase
{

	/**
	 * 
	 */
	public void test_142374( )
	{
		Class c = BirtViewerReportService.class;
		Method[] methods = c.getMethods( );
		for ( int i = 0; i < methods.length; i++ )
		{
			Method method = methods[i];
			if ( "runAndRenderReport".equals( method.getName( ) ) ) //$NON-NLS-1$
			{
				int modifier = method.getModifiers( );
				assertFalse( Modifier.isSynchronized( modifier ) );
			}
		}

	}
}
