/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/
package org.eclipse.birt.test.performance;

import org.eclipse.birt.report.engine.api.IReportEngine;
import org.eclipse.birt.test.performance.parser.TestCaseNode;


abstract class BaseTaskThread extends Thread
{
	protected IReportEngine engine;
	protected Semaphore semaphore;
	protected TestCaseNode testcase = null;
	protected ExecutionContext context = null;
	protected int id;
	
	public BaseTaskThread( String threadName, int id,
			ExecutionContext context, Semaphore semaphore )
	{
		super( threadName );
		
		this.testcase = context.getTestcase( );
		this.context = context;
		this.engine = context.getEngine( );
		this.id = id;
		this.semaphore = semaphore;
	}
}
