/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.test.performance;

import java.io.File;
import java.text.SimpleDateFormat;

/**
 * Constants - predefine constant variables
 */
public interface Constants
{

	/**
	 * Global date time formatter.
	 */
	public static final SimpleDateFormat DATE_FORMAT = new SimpleDateFormat(
			"yyyyMMdd_HHmmss" ); //$NON-NLS-1$

	/**
	 * Base path of the plugin test project.
	 */
	
	public static final String BASE_PATH = new File( Constants.class
			.getProtectionDomain( ).getCodeSource( ).getLocation( ).getPath( ) )
			.getParent( )
			+ "/"; //$NON-NLS-1$
	
	/**
	 * Ext.: PDF
	 */
	public static final String PDF_EXT = ".pdf"; //$NON-NLS-1$

	/**
	 * Ext.: HTML
	 */
	public static final String HTML_EXT = ".html"; //$NON-NLS-1$

	/**
	 * Ext.: Document
	 */
	public static final String DOC_EXT = ".rptdocument"; //$NON-NLS-1$

	/**
	 * Relative path to run folder
	 */
	public static final String RUN_PATH = "output/run/"; //$NON-NLS-1$

	/**
	 * Relative path to render folder
	 */
	public static final String RENDER_PATH = "output/render/"; //$NON-NLS-1$

	/**
	 * Relative path to runrender folder
	 */
	public static final String RUNRENDER_PATH = "output/runrender/"; //$NON-NLS-1$

	/**
	 * Relative path to input folder
	 */
	public static final String INPUT_PATH = "input/"; //$NON-NLS-1$

	/**
	 * Relative path to output folder
	 */

	public static final String OUTPUT_PATH = "output/"; //$NON-NLS-1$

	/**
	 * File: config. profile (user-defined)
	 */
	public static final String CONFIG = "config.xml"; //$NON-NLS-1$

	public final static int TASK_RUN_ID = 0;
	public final static int TASK_RENDER_ALL_ID = 1;
	public final static int TASK_RENDER_N_ID = 2;
	public final static int TASK_RUN_AND_RENDER_ID = 3;

	public final static String TASK_RUN = "Run"; //$NON-NLS-1$
	public final static String TASK_RENDER_ALL = "RenderAll"; //$NON-NLS-1$
	public final static String TASK_RENDER_N = "RenderN"; //$NON-NLS-1$
	public final static String TASK_RUN_AND_RENDER = "RunAndRender"; //$NON-NLS-1$

	public final static String[] TASK_NAMES = {TASK_RUN, TASK_RENDER_ALL,
			TASK_RENDER_N, TASK_RUN_AND_RENDER};

}