/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.tests.data.engine.regression;

import utility.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * data can be grouped well when set a group key to be decimal and interval to
 * be 1
 * <p>
 * <b>Test description</b>
 * <p>
 * This test covers the execution of onCreate(), onRender() and onPrepare(),
 * ensure they are getting called when previewed. Test the group function,
 * interval and so on.
 * 
 */
public class Reg_103152 extends EngineCase
{

	private final static String INPUT = "Reg_103152.xml"; //$NON-NLS-1$

	private final static String GOLDEN = "Reg_103152.html"; //$NON-NLS-1$

	private final static String OUTPUT = "Reg_103152.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void testRegression_103152( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}
}
