/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.tests.data.engine.regression;

import utility.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * No error message when group key dismatches the interval
 * <p>
 * <b>Test description</b>
 * <p>
 * This test should catch the error.
 * 
 */
public class Reg_103292 extends EngineCase
{

	private final static String INPUT = "Reg_103292.xml"; //$NON-NLS-1$

	private final static String GOLDEN = "Reg_103292.html"; //$NON-NLS-1$

	private final static String OUTPUT = "Reg_103292.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void testRegression_103292( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}
}
