/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.tests.data.engine.regression;

import utility.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Using an aggregate function in a group footer that operates on the entire
 * data set by using Total.OVERALL results in the following error. The group
 * footer only displays for the last row in the dataset.
 * <p>
 * <b>Test description</b>
 * <p>
 * This test covers the function of Total.OVERALL
 * 
 */
public class Reg_103802 extends EngineCase
{

	private final static String INPUT = "Reg_103802.xml"; //$NON-NLS-1$

	private final static String GOLDEN = "Reg_103802.html"; //$NON-NLS-1$

	private final static String OUTPUT = "Reg_103802.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void testRegression_103802( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}
}
