/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.tests.data.engine.regression;

import utility.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Jdbcodbc data source can't be connected.
 * <p>
 * <b>Test description</b>
 * <p>
 * This test use the oracle database as the datasource. new a table base on the
 * oracle to check the JDBC connection.
 * 
 */
public class Reg_104611 extends EngineCase
{

	private final static String INPUT = "Reg_104611.xml"; //$NON-NLS-1$

	private final static String GOLDEN = "Reg_104611.html"; //$NON-NLS-1$

	private final static String OUTPUT = "Reg_104611.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void testRegresssion_104611( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}
}
