/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.tests.data.engine.regression;

import utility.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * row[0]can not work
 * <p>
 * <b>Test description</b>
 * <p>
 * 1. New a data source and a dataset 2. Edit the dataset 3. Add a Computed
 * Column with name="cc", Expression=row[0]
 * 
 */
public class Reg_107415 extends EngineCase
{

	private final static String INPUT = "Reg_107415.xml"; //$NON-NLS-1$

	private final static String GOLDEN = "Reg_107415.html"; //$NON-NLS-1$

	private final static String OUTPUT = "Reg_107415.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void testRegression_107415( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}
}
