/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.tests.data.engine.regression;

import utility.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * the highlight can not work
 * <p>
 * <b>Test description</b>
 * <p>
 * Add a sample datasource and data set with table "ORDERS" 2.Drag the dataset
 * into report 3.Choose the table and set hightlight rule "if row["ORDERDATA"]
 * between 01/01/99 and 01/01/00 " then display Red
 * 
 */
public class Reg_113200 extends EngineCase
{

	private final static String INPUT = "Reg_113200.xml"; //$NON-NLS-1$

	private final static String GOLDEN = "Reg_113200.html"; //$NON-NLS-1$

	private final static String OUTPUT = "Reg_113200.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void testRegression_113200( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}
}
