/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.tests.data.engine.regression;

import utility.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Error message pops up when selecting value in group filter "value".
 * <p>
 * <b>Test description</b>
 * <p>
 * This test add a table and bind it to a data set, edit it. Then Add a group
 * and edit a group filter, Expression as "Total.sum (row.curr_val,null,1)",
 * operater as "larger than", then select a value.
 * 
 */
public class Reg_116772 extends EngineCase
{

	private final static String INPUT = "Reg_116772.xml"; //$NON-NLS-1$

	private final static String GOLDEN = "Reg_116772.html"; //$NON-NLS-1$

	private final static String OUTPUT = "Reg_116772.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void testRegression_116772( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}
}
