/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.tests.data.engine.regression;

import utility.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * getFullYear() funtion can not get correct value.
 * <p>
 * <b>Test description</b>
 * <p>
 * .Create a sample data set, select * from orders 2.drag a data into layout
 * 3.bind the data set to the data 4.Expression: row["ORDERDATE"].getFullYear()
 * 
 */
public class Reg_122860 extends EngineCase
{

	private final static String INPUT = "Reg_122860.xml"; //$NON-NLS-1$

	private final static String GOLDEN = "Reg_122860.html"; //$NON-NLS-1$

	private final static String OUTPUT = "Reg_122860.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void testRegression_122860( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}
}
