/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.tests.data.engine.regression;

import utility.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * JS is not supported in data set filter
 * <p>
 * <b>Test description</b>
 * <p>
 * 1.Add a sample datasource and a data set with table "ORDERS" 2.Open data set
 * editor, switch to Filter, add a filter: row["ORDERDATE"].getFullYear()= 2003
 * 
 */
public class Reg_123389 extends EngineCase
{

	private final static String INPUT = "Reg_123389.xml"; //$NON-NLS-1$

	private final static String GOLDEN = "Reg_123389.html"; //$NON-NLS-1$

	private final static String OUTPUT = "Reg_123389.html"; //$NON-NLS-1$

	/**
	 * @throws Exception
	 */

	public void testRegression_123389( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}
}
