/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.tests.data.engine.regression;

import utility.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * There are several "null" value in column "state", the records with null state
 * value should be sent to one group
 * <p>
 * <b>Test description</b>
 * <p>
 * All records with null state value is regarded as one group.
 */
  public class Reg_79227 extends EngineCase {

	private final static String INPUT = "Reg_79227.xml"; //$NON-NLS-1$

	private final static String GOLDEN = "Reg_79227.html"; //$NON-NLS-1$

	private final static String OUTPUT = "Reg_79227.html"; //$NON-NLS-1$

	protected void setUp() throws Exception {
		super.setUp();
	}

	/**
	 * @throws Exception
	 */

	public void testRegression_79227() throws Exception {
		runAndRender_HTML(INPUT, OUTPUT);
		assertTrue(compareHTML(GOLDEN, OUTPUT));
	}
}
