/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.tests.data.engine.regression;

import utility.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Attempting to use bind arguments in a select query result in the error
 * <p>
 * <b>Test description</b>
 * <p>
 * This test covers binding the parameter in the dataset of the oracle database
 */
public class Reg_93220 extends EngineCase
{

	private final static String INPUT = "Reg_93220.xml"; //$NON-NLS-1$

	private final static String GOLDEN = "Reg_93220.html"; //$NON-NLS-1$

	private final static String OUTPUT = "Reg_93220.html"; //$NON-NLS-1$

	protected void setUp( ) throws Exception
	{
		super.setUp( );
	}

	/**
	 * @throws Exception
	 */

	public void testRegression_93220( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		assertTrue( compareHTML( GOLDEN, OUTPUT ) );
	}
}
